#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           lskat
Summary:        Lieutenant Skat card game
Epoch:          1
Version: 24.11.80
Release:        %mkrel %{rel}
License:        GPLv2 and LGPLv2 and GFDL
Group:          Games/Cards
URL:            https://apps.kde.org/lskat/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KDEGames6)

Requires:       kf6kdegames-common
Requires:       kf6kdegames-corebindings
Recommends:     lskat-handbook

%description
Lieutenant Skat (from German "Offiziersskat") is a fun and engaging card game for
two players, where the second player is either live opponent, or a built in
artificial intelligence.

%files -f %name.lang
%_kf6_categoriesdir/lskat.*categories
%_kf6_bindir/lskat
%_kf6_applicationsdir/org.kde.lskat.desktop
%_kf6_datadir/lskat/
%_kf6_iconsdir/hicolor/*/apps/lskat.png
%_kf6_metainfodir/org.kde.lskat.appdata.xml

#------------------------------------------------------------------------------

%package -n lskat-handbook
Summary:        lskat handbook
Group:          Documentation
BuildArch:      noarch
Requires:       lskat >= %{epoch}:%{version}-%{release}

%description -n lskat-handbook
This package provides the lskat handbook.

%files -n lskat-handbook
%_kf6_docdir/HTML/*/lskat

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name


%changelog
* Sun Nov 17 2024 daviddavid <daviddavid> 1:24.11.80-1.mga10
+ Revision: 2116459
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 1:24.08.3-1.mga10
+ Revision: 2114154
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 1:24.08.2-1.mga10
+ Revision: 2105651
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 1:24.08.1-1.mga10
+ Revision: 2097518
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 1:24.08.0-1.mga10
+ Revision: 2087710
- New version 24.08.0

* Sun Aug 11 2024 daviddavid <daviddavid> 1:24.07.90-1.mga10
+ Revision: 2086035
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 1:24.05.1-1.mga10
+ Revision: 2073327
- New version 24.05.1

* Sun Jun 09 2024 neoclust <neoclust> 1:24.05.0-1.mga10
+ Revision: 2071947
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 1:24.02.2-1.mga10
+ Revision: 2058721
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 1:24.02.0-1.mga10
+ Revision: 2045258
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 1:24.01.95-1.mga10
+ Revision: 2037757
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 1:24.01.90-1.mga10
+ Revision: 2033879
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 1:24.01.85-1.mga10
+ Revision: 2025256
- New version 24.01.85

* Tue Nov 21 2023 daviddavid <daviddavid> 1:24.01.75-1.mga10
+ Revision: 2008742
- New version 24.01.75
- switch to Qt6/KF6

* Sat Sep 23 2023 neoclust <neoclust> 1:23.08.1-1.mga10
+ Revision: 1989700
- New version 23.08.1

* Fri May 26 2023 neoclust <neoclust> 1:23.04.1-1.mga9
+ Revision: 1958276
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 1:22.12.3-1.mga9
+ Revision: 1946588
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 1:22.12.2-1.mga9
+ Revision: 1941881
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 1:22.12.0-1.mga9
+ Revision: 1923003
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 1:22.11.90-1.mga9
+ Revision: 1911497
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 1:22.08.3-1.mga9
+ Revision: 1905348
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 1:22.08.1-1.mga9
+ Revision: 1886866
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 1:22.08.0-1.mga9
+ Revision: 1880852
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 1:22.04.3-1.mga9
+ Revision: 1873165
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 1:22.04.0-1.mga9
+ Revision: 1854055
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 1:22.03.90-1.mga9
+ Revision: 1849561
- New version 22.03.90

* Sun Dec 26 2021 neoclust <neoclust> 1:21.12.0-1.mga9
+ Revision: 1763947
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 1:21.04.1-1.mga9
+ Revision: 1724158
- New version 21.04.1

* Sat Apr 24 2021 neoclust <neoclust> 1:21.04.0-1.mga9
+ Revision: 1718968
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 1:20.12.3-2.mga9
+ Revision: 1698646
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 1:20.12.2-1.mga9
+ Revision: 1694170
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 1:20.12.0-1.mga8
+ Revision: 1655697
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 1:20.08.3-1.mga8
+ Revision: 1644079
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 1:20.08.2-1.mga8
+ Revision: 1633895
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 1:20.08.1-1.mga8
+ Revision: 1627138
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 1:20.08.0-1.mga8
+ Revision: 1615006
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 1:20.04.3-1.mga8
+ Revision: 1604202
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 1:20.04.2-1.mga8
+ Revision: 1596940
- New version 20.04.2

* Sun May 17 2020 neoclust <neoclust> 1:20.04.1-1.mga8
+ Revision: 1585333
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 1:20.04.0-1.mga8
+ Revision: 1568217
- New version 20.04.0

* Thu Apr 16 2020 daviddavid <daviddavid> 1:19.12.3-2.mga8
+ Revision: 1567807
- add missing dependency on libkdegames-common (mga#26464)

* Tue Mar 24 2020 neoclust <neoclust> 1:19.12.3-1.mga8
+ Revision: 1559406
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 1:19.12.2-2.mga8
+ Revision: 1540434
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 1:19.12.2-1.mga8
+ Revision: 1513382
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 1:19.12.0-1.mga8
+ Revision: 1467036
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 1:19.08.3-1.mga8
+ Revision: 1457982
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 1:19.08.1-1.mga8
+ Revision: 1447183
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 1:19.04.3-1.mga8
+ Revision: 1425073
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 1:19.04.0-1.mga7
+ Revision: 1390528
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 1:19.03.90-1.mga7
+ Revision: 1387739
- New version 19.03.90

* Sun Mar 31 2019 umeabot <umeabot> 1:18.12.3-2.mga7
+ Revision: 1383234
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 1:18.12.3-1.mga7
+ Revision: 1375736
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 1:18.12.2-1.mga7
+ Revision: 1365651
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 1:18.12.1-1.mga7
+ Revision: 1356588
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 1:18.12.0-1.mga7
+ Revision: 1339593
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 1:18.08.3-1.mga7
+ Revision: 1332823
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 1:18.08.2-1.mga7
+ Revision: 1327476
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 1:18.04.1-2.mga7
+ Revision: 1299356
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 1:18.04.1-1.mga7
+ Revision: 1229118
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 1:17.12.2-1.mga7
+ Revision: 1201972
- New version 17.12.2

* Mon Jan 22 2018 neoclust <neoclust> 1:17.12.1-1.mga7
+ Revision: 1195985
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 1:17.12.0-1.mga7
+ Revision: 1186536
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 1:17.08.0-1.mga7
+ Revision: 1143128
- New version 17.08.0

* Tue Aug 08 2017 neoclust <neoclust> 1:17.07.90-1.mga7
+ Revision: 1138813
- New version 17.07.90

* Sun Jul 16 2017 neoclust <neoclust> 1:17.04.3-1.mga7
+ Revision: 1123825
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1090157
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 1:16.12.0-1.mga6
+ Revision: 1076899
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 1:16.11.90-1.mga6
+ Revision: 1072092
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 1:16.08.3-1.mga6
+ Revision: 1067411
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 1:16.08.2-1.mga6
+ Revision: 1061474
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 1:16.08.1-1.mga6
+ Revision: 1050737
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 1:16.08.0-1.mga6
+ Revision: 1047386
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 1:16.04.3-1.mga6
+ Revision: 1040140
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 1:16.04.1-1.mga6
+ Revision: 1012630
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 1:16.04.0-1.mga6
+ Revision: 1004418
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 1:16.03.80-1.mga6
+ Revision: 994994
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 1:15.12.3-1.mga6
+ Revision: 991258
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 1:15.12.2-1.mga6
+ Revision: 987536
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 1:15.12.1-1.mga6
+ Revision: 922700
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 1:15.12.0-1.mga6
+ Revision: 912052
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 1:15.11.80-1.mga6
+ Revision: 905522
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 1:15.08.3-1.mga6
+ Revision: 901074
- New version 15.08.3
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 1:15.08.1-1.mga6
+ Revision: 880929
- New version 15.08.1

* Tue Sep 01 2015 sander85 <sander85> 1:15.08.0-1.mga6
+ Revision: 871972
- Add missing BRs
+ neoclust <neoclust>
- New version 15.08.0

* Wed Dec 03 2014 lmenut <lmenut> 1:4.14.3-1.mga5
+ Revision: 800671
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 1:4.14.2-1.mga5
+ Revision: 787769
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 1:4.14.1-2.mga5
+ Revision: 747363
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 1:4.14.1-1.mga5
+ Revision: 734623
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 1:4.14.0-2.mga5
+ Revision: 682014
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 1:4.14.0-1.mga5
+ Revision: 667556
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 1:4.13.97-1.mga5
+ Revision: 663068
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 1:4.13.95-1.mga5
+ Revision: 656746
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 1:4.13.90-1.mga5
+ Revision: 653931
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 1:4.13.80-1.mga5
+ Revision: 652042
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 1:4.13.2-1.mga5
+ Revision: 636805
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 1:4.13.1-1.mga5
+ Revision: 625572
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 1:4.13.0-1.mga5
+ Revision: 615653
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 1:4.12.97-1.mga5
+ Revision: 609465
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 1:4.12.95-1.mga5
+ Revision: 606906
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 1:4.12.90-1.mga5
+ Revision: 603413
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 1:4.12.80-1.mga5
+ Revision: 600746
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 1:4.12.2-1.mga5
+ Revision: 590533
- New version 4.12.2

* Tue Feb 04 2014 neoclust <neoclust> 1:4.11.5-1.mga5
+ Revision: 580848
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 555064
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551336
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 540263
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490776
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476866
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465209
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458982
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455368
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 447979
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 1:4.10.4-1.mga4
+ Revision: 435340
- Update tarball to KDE SC 4.10.4

* Mon May 27 2013 mikala <mikala> 1:4.10.3-1.mga4
+ Revision: 428450
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407265
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401941
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394432
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 359024
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339531
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334593
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326795
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Sun Nov 18 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 319387
- imported package lskat

